{% extends 'base.html.twig' %}

{% block title %}Manage Roles{% endblock %}

{% block body %}
    <h1>Manage Roles</h1>
    <p>
        <a class="btn btn-primary" href="{{ path('role_new') }}">
            <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> Create new
        </a>
    </p>

    <table class="table table-striped">
        <tr>
            <th>ID</th>
            <th>Name</th>
            <th>Description</th>
            <th>Actions</th>
        </tr>
        <tbody>
        {% for role in roles %}
            <tr>
                <td>{{ role.id }}</td>
                <td>{{ role.name }}</td>
                <td>{{ role.description }}</td>
                <td>
                    <a class="btn btn-secondary" href="{{ path('role_show', {'id': role.id}) }}">
                        <span class="glyphicon glyphicon-pencil" ></span> Show
                    </a>
                    <a class="btn btn-info" href="{{ path('role_edit', {'id': role.id}) }}">
                        <span class="glyphicon glyphicon-pencil"></span> Edit
                    </a>
                    <a class="btn btn-danger" href="{{ path('role_delete', {'id': role.id}) }}">
                        <span class="glyphicon glyphicon-remove"></span> Delete
                    </a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% if pages > 0 %}
    <div>
        <ul class="pagination">
            {% if app.request.get('page', 1) > 1 %}
                <li class="page-item">
                    <a class="page-link" href="{{ path('roles', {'page': app.request.get('page', 1)-1})}}" tabindex="-1">Previous</a>
                </li>
            {% else %}
                <li class="page-item disabled">
                    <a class="page-link" href="" tabindex="-1">Previous</a>
                </li>
            {% endif %}
            {% for i in 1..pages %}
                {% if app.request.get('page', 1) == i %}
                    <li class="page-item active">
                        <a class="page-link" href="{{ path('roles', {'page': i})}}">{{i}} <span class="sr-only">(current)</span></a>
                    </li>
                {% else %}
                    <li class="page-item"><a class="page-link" href="{{ path('roles', {'page': i})}}">{{i}}</a></li>

                {% endif %}
            {% endfor %}
            
            {% if app.request.get('page', 1) < pages %}
                <li class="page-item">
                    <a class="page-link" href="{{ path('roles', {'page': app.request.get('page', 1)+1})}}">Next</a>
                </li>
            {% else %}
                <li class="page-item disabled">
                    <a class="page-link" href="#">Next</a>
                </li>
            {% endif %}
        </ul>
    </div>
    {%endif%}
{% endblock %}
